%CDrecalc

% Uses Cn values to back out CD values
% CD = (b/l)Cn where l = moment arm for effector

bodybase = 25.03; % Semi-span of fuselage out to inner edge of first effector
b = 112.56; % full wingspan used for non-dimensionalization
l = [0 1 2 3 4 5 6 7 8 9 10 11]*3/2+3/4+bodybase;

for i=1:12
    for j=1:7

%         TEL_CD2_alfa4(j,i) = -(b*TEL_Cn_alfa4(j,i))/l(i);
%         TEL_CD2_alfa6(j,i) = -(b*TEL_Cn_alfa6(j,i))/l(i);
%         TEL_CD2_alfa8(j,i) = -(b*TEL_Cn_alfa8(j,i))/l(i);
%         TER_CD2_alfa4(j,i) = (b*TER_Cn_alfa4(j,i))/l(i);
%         TER_CD2_alfa6(j,i) = (b*TER_Cn_alfa6(j,i))/l(i);
%         TER_CD2_alfa8(j,i) = (b*TER_Cn_alfa8(j,i))/l(i);
        
        TEL_CD2_alfa4(j,i) = TEL_CD_alfa4(j,i);
        TEL_CD2_alfa6(j,i) = TEL_CD_alfa6(j,i);
        TEL_CD2_alfa8(j,i) = TEL_CD_alfa8(j,i);
        TER_CD2_alfa4(j,i) = TER_CD_alfa4(j,i);
        TER_CD2_alfa6(j,i) = TER_CD_alfa6(j,i);
        TER_CD2_alfa8(j,i) = TER_CD_alfa8(j,i);
        
        TEL_Cn2_alfa4(j,i) = TEL_Cn_alfa4(j,i);
        TEL_Cn2_alfa6(j,i) = TEL_Cn_alfa6(j,i);
        TEL_Cn2_alfa8(j,i) = TEL_Cn_alfa8(j,i);
        TER_Cn2_alfa4(j,i) = TER_Cn_alfa4(j,i);
        TER_Cn2_alfa6(j,i) = TER_Cn_alfa6(j,i);
        TER_Cn2_alfa8(j,i) = TER_Cn_alfa8(j,i);
        
    end
end


clear TEL_CD_alfa4 TEL_CD_alfa6 TEL_CD_alfa8
clear TER_CD_alfa4 TER_CD_alfa6 TER_CD_alfa8
clear TEL_Cn_alfa4 TEL_Cn_alfa6 TEL_Cn_alfa8
clear TER_Cn_alfa4 TER_Cn_alfa6 TER_Cn_alfa8

%remove zeroes from Drag values:

for i=1:12
    for j=1:3
        TEL_CD_alfa4(j,i) = TEL_CD2_alfa4(j,i);
        TEL_CD_alfa6(j,i) = TEL_CD2_alfa6(j,i);
        TEL_CD_alfa8(j,i) = TEL_CD2_alfa8(j,i);
        TER_CD_alfa4(j,i) = TER_CD2_alfa4(j,i);
        TER_CD_alfa6(j,i) = TER_CD2_alfa6(j,i);
        TER_CD_alfa8(j,i) = TER_CD2_alfa8(j,i);
        
        TEL_Cn_alfa4(j,i) = TEL_Cn2_alfa4(j,i);
        TEL_Cn_alfa6(j,i) = TEL_Cn2_alfa6(j,i);
        TEL_Cn_alfa8(j,i) = TEL_Cn2_alfa8(j,i);
        TER_Cn_alfa4(j,i) = TER_Cn2_alfa4(j,i);
        TER_Cn_alfa6(j,i) = TER_Cn2_alfa6(j,i);
        TER_Cn_alfa8(j,i) = TER_Cn2_alfa8(j,i);
    end
end

for i=1:12
    for j=4:6
        TEL_CD_alfa4(j,i) = TEL_CD2_alfa4(j+1,i);
        TEL_CD_alfa6(j,i) = TEL_CD2_alfa6(j+1,i);
        TEL_CD_alfa8(j,i) = TEL_CD2_alfa8(j+1,i);
        TER_CD_alfa4(j,i) = TER_CD2_alfa4(j+1,i);
        TER_CD_alfa6(j,i) = TER_CD2_alfa6(j+1,i);
        TER_CD_alfa8(j,i) = TER_CD2_alfa8(j+1,i);

        TEL_Cn_alfa4(j,i) = TEL_Cn2_alfa4(j+1,i);
        TEL_Cn_alfa6(j,i) = TEL_Cn2_alfa6(j+1,i);
        TEL_Cn_alfa8(j,i) = TEL_Cn2_alfa8(j+1,i);
        TER_Cn_alfa4(j,i) = TER_Cn2_alfa4(j+1,i);
        TER_Cn_alfa6(j,i) = TER_Cn2_alfa6(j+1,i);
        TER_Cn_alfa8(j,i) = TER_Cn2_alfa8(j+1,i);
    end
end

clear TEL_CD2_alfa4 TEL_CD2_alfa6 TEL_CD2_alfa8
clear TER_CD2_alfa4 TER_CD2_alfa6 TER_CD2_alfa8
clear TEL_Cn2_alfa4 TEL_Cn2_alfa6 TEL_Cn2_alfa8
clear TER_Cn2_alfa4 TER_Cn2_alfa6 TER_Cn2_alfa8