% Uses Run 125 as baseline for alphas 4, 6, 8
% Baseline run subtracted off of Runs xx thru xx to result in delta(C_x) values for use in prediction scheme

% .dat file format:   Alpha    Beta    CL     CD     Cm     Cl     Cn     CY

% ERROR on TER1_Alfa6 - WRONG ALPHA

% To create a set of delta(Cx) values, open TEx_alfax_total.dat and subtract baseline.dat

load Baseline_RunAvg.dat;
load TEL_alfa4_total.dat;
load TEL_alfa6_total.dat;
load TEL_alfa8_total.dat;
load TER_alfa4_total.dat;
load TER_alfa6_total.dat;
load TER_alfa8_total.dat;

bl=Baseline_RunAvg;
l4=TEL_alfa4_total;
l6=TEL_alfa6_total;
l8=TEL_alfa8_total;
r4=TER_alfa4_total;
r6=TER_alfa6_total;
r8=TER_alfa8_total;


% Outputs are delta(Cx) values in variables:
%    TE[L,R][1-12]_alfa[4,6,8] in format:
%      df=-15 [ CL   CD   Cm   Cl   Cn   CY ]
%      df=-10 | CL   CD   Cm   Cl   Cn   CY |
%      df=-5  | CL   CD   Cm   Cl   Cn   CY |
%      df=5   | CL   CD   Cm   Cl   Cn   CY |
%      df=10  | CL   CD   Cm   Cl   Cn   CY |
%      df=15  [ CL   CD   Cm   Cl   Cn   CY ]
for i=1:6
    for j=1:6
        % Left wing effectors, Runs (268-270),247-255 minus Baseline Run for Alpha = 4
        aTEL1_alfa4(i,j)=l4(i,j+5)-bl(1,j+2);
        aTEL2_alfa4(i,j)=l4(i+6,j+5)-bl(1,j+2);
        aTEL3_alfa4(i,j)=l4(i+12,j+5)-bl(1,j+2);
        aTEL4_alfa4(i,j)=l4(i+18,j+5)-bl(1,j+2);
        aTEL5_alfa4(i,j)=l4(i+24,j+5)-bl(1,j+2);
        aTEL6_alfa4(i,j)=l4(i+30,j+5)-bl(1,j+2);
        aTEL7_alfa4(i,j)=l4(i+36,j+5)-bl(1,j+2);
        aTEL8_alfa4(i,j)=l4(i+42,j+5)-bl(1,j+2);
        aTEL9_alfa4(i,j)=l4(i+48,j+5)-bl(1,j+2);
        aTEL10_alfa4(i,j)=l4(i+54,j+5)-bl(1,j+2);
        aTEL11_alfa4(i,j)=l4(i+60,j+5)-bl(1,j+2);
        aTEL12_alfa4(i,j)=l4(i+66,j+5)-bl(1,j+2);
        % Right wing effectors, Runs 231-242 minus Baseline Run for Alpha = 4
        aTER1_alfa4(i,j)=r4(i,j+5)-bl(1,j+2);
        aTER2_alfa4(i,j)=r4(i+6,j+5)-bl(1,j+2);
        aTER3_alfa4(i,j)=r4(i+12,j+5)-bl(1,j+2);
        aTER4_alfa4(i,j)=r4(i+18,j+5)-bl(1,j+2);
        aTER5_alfa4(i,j)=r4(i+24,j+5)-bl(1,j+2);
        aTER6_alfa4(i,j)=r4(i+30,j+5)-bl(1,j+2);
        aTER7_alfa4(i,j)=r4(i+36,j+5)-bl(1,j+2);
        aTER8_alfa4(i,j)=r4(i+42,j+5)-bl(1,j+2);
        aTER9_alfa4(i,j)=r4(i+48,j+5)-bl(1,j+2);
        aTER10_alfa4(i,j)=r4(i+54,j+5)-bl(1,j+2);
        aTER11_alfa4(i,j)=r4(i+60,j+5)-bl(1,j+2);
        aTER12_alfa4(i,j)=r4(i+66,j+5)-bl(1,j+2);
        
        % Left wing effectors, Runs 303-314 minus Baseline Run for Alpha = 6
        aTEL1_alfa6(i,j)=l6(i,j+5)-bl(2,j+2);
        aTEL2_alfa6(i,j)=l6(i+6,j+5)-bl(2,j+2);
        aTEL3_alfa6(i,j)=l6(i+12,j+5)-bl(2,j+2);
        aTEL4_alfa6(i,j)=l6(i+18,j+5)-bl(2,j+2);
        aTEL5_alfa6(i,j)=l6(i+24,j+5)-bl(2,j+2);
        aTEL6_alfa6(i,j)=l6(i+30,j+5)-bl(2,j+2);
        aTEL7_alfa6(i,j)=l6(i+36,j+5)-bl(2,j+2);
        aTEL8_alfa6(i,j)=l6(i+42,j+5)-bl(2,j+2);
        aTEL9_alfa6(i,j)=l6(i+48,j+5)-bl(2,j+2);
        aTEL10_alfa6(i,j)=l6(i+54,j+5)-bl(2,j+2);
        aTEL11_alfa6(i,j)=l6(i+60,j+5)-bl(2,j+2);
        aTEL12_alfa6(i,j)=l6(i+66,j+5)-bl(2,j+2);
        % Right wing effectors, Runs 291-302 minus Baseline Run for Alpha = 6
        aTER1_alfa6(i,j)=r6(i,j+5)-bl(2,j+2);
        aTER2_alfa6(i,j)=r6(i+6,j+5)-bl(2,j+2);
        aTER3_alfa6(i,j)=r6(i+12,j+5)-bl(2,j+2);
        aTER4_alfa6(i,j)=r6(i+18,j+5)-bl(2,j+2);
        aTER5_alfa6(i,j)=r6(i+24,j+5)-bl(2,j+2);
        aTER6_alfa6(i,j)=r6(i+30,j+5)-bl(2,j+2);
        aTER7_alfa6(i,j)=r6(i+36,j+5)-bl(2,j+2);
        aTER8_alfa6(i,j)=r6(i+42,j+5)-bl(2,j+2);
        aTER9_alfa6(i,j)=r6(i+48,j+5)-bl(2,j+2);
        aTER10_alfa6(i,j)=r6(i+54,j+5)-bl(2,j+2);
        aTER11_alfa6(i,j)=r6(i+60,j+5)-bl(2,j+2);
        aTER12_alfa6(i,j)=r6(i+66,j+5)-bl(2,j+2);
        
        % Left wing effectors, Runs 271-282 minus Baseline Run for Alpha = 8
        aTEL1_alfa8(i,j)=l8(i,j+5)-bl(3,j+2);
        aTEL2_alfa8(i,j)=l8(i+6,j+5)-bl(3,j+2);
        aTEL3_alfa8(i,j)=l8(i+12,j+5)-bl(3,j+2);
        aTEL4_alfa8(i,j)=l8(i+18,j+5)-bl(3,j+2);
        aTEL5_alfa8(i,j)=l8(i+24,j+5)-bl(3,j+2);
        aTEL6_alfa8(i,j)=l8(i+30,j+5)-bl(3,j+2);
        aTEL7_alfa8(i,j)=l8(i+36,j+5)-bl(3,j+2);
        aTEL8_alfa8(i,j)=l8(i+42,j+5)-bl(3,j+2);
        aTEL9_alfa8(i,j)=l8(i+48,j+5)-bl(3,j+2);
        aTEL10_alfa8(i,j)=l8(i+54,j+5)-bl(3,j+2);
        aTEL11_alfa8(i,j)=l8(i+60,j+5)-bl(3,j+2);
        aTEL12_alfa8(i,j)=l8(i+66,j+5)-bl(3,j+2);
        % Right wing effectors, Runs 256-267 minus Baseline Run for Alpha = 8
        aTER1_alfa8(i,j)=r8(i,j+5)-bl(3,j+2);
        aTER2_alfa8(i,j)=r8(i+6,j+5)-bl(3,j+2);
        aTER3_alfa8(i,j)=r8(i+12,j+5)-bl(3,j+2);
        aTER4_alfa8(i,j)=r8(i+18,j+5)-bl(3,j+2);
        aTER5_alfa8(i,j)=r8(i+24,j+5)-bl(3,j+2);
        aTER6_alfa8(i,j)=r8(i+30,j+5)-bl(3,j+2);
        aTER7_alfa8(i,j)=r8(i+36,j+5)-bl(3,j+2);
        aTER8_alfa8(i,j)=r8(i+42,j+5)-bl(3,j+2);
        aTER9_alfa8(i,j)=r8(i+48,j+5)-bl(3,j+2);
        aTER10_alfa8(i,j)=r8(i+54,j+5)-bl(3,j+2);
        aTER11_alfa8(i,j)=r8(i+60,j+5)-bl(3,j+2);
        aTER12_alfa8(i,j)=r8(i+66,j+5)-bl(3,j+2);
    end
end




%add in 0 values for alpha=0

% Outputs are delta(Cx) values in variables:
%    TE[L,R][1-12]_alfa[4,6,8] in format:
%      df=-15 [ CL   CD   Cm   Cl   Cn   CY ]
%      df=-10 | CL   CD   Cm   Cl   Cn   CY |
%      df=-5  | CL   CD   Cm   Cl   Cn   CY |
%      df=0   | 0    0    0    0    0    0  |
%      df=5   | CL   CD   Cm   Cl   Cn   CY |
%      df=10  | CL   CD   Cm   Cl   Cn   CY |
%      df=15  [ CL   CD   Cm   Cl   Cn   CY ]

for i=1:3
    for j=1:6
        % Left wing effectors, Alpha = 4, Deltas of -15, -10, -5
        TEL1_alfa4(i,j)=aTEL1_alfa4(i,j);
        TEL2_alfa4(i,j)=aTEL2_alfa4(i,j);
        TEL3_alfa4(i,j)=aTEL3_alfa4(i,j);
        TEL4_alfa4(i,j)=aTEL4_alfa4(i,j);
        TEL5_alfa4(i,j)=aTEL5_alfa4(i,j);
        TEL6_alfa4(i,j)=aTEL6_alfa4(i,j);
        TEL7_alfa4(i,j)=aTEL7_alfa4(i,j);
        TEL8_alfa4(i,j)=aTEL8_alfa4(i,j);
        TEL9_alfa4(i,j)=aTEL9_alfa4(i,j);
        TEL10_alfa4(i,j)=aTEL10_alfa4(i,j);
        TEL11_alfa4(i,j)=aTEL11_alfa4(i,j);
        TEL12_alfa4(i,j)=aTEL12_alfa4(i,j);
        % Right wing effectors, Alpha = 4, Deltas of -15, -10, -5
        TER1_alfa4(i,j)=aTER1_alfa4(i,j);
        TER2_alfa4(i,j)=aTER2_alfa4(i,j);
        TER3_alfa4(i,j)=aTER3_alfa4(i,j);
        TER4_alfa4(i,j)=aTER4_alfa4(i,j);
        TER5_alfa4(i,j)=aTER5_alfa4(i,j);
        TER6_alfa4(i,j)=aTER6_alfa4(i,j);
        TER7_alfa4(i,j)=aTER7_alfa4(i,j);
        TER8_alfa4(i,j)=aTER8_alfa4(i,j);
        TER9_alfa4(i,j)=aTER9_alfa4(i,j);
        TER10_alfa4(i,j)=aTER10_alfa4(i,j);
        TER11_alfa4(i,j)=aTER11_alfa4(i,j);
        TER12_alfa4(i,j)=aTER12_alfa4(i,j);
        
        % Left wing effectors, Alpha = 6, Deltas of -15, -10, -5
        TEL1_alfa6(i,j)=aTEL1_alfa6(i,j);
        TEL2_alfa6(i,j)=aTEL2_alfa6(i,j);
        TEL3_alfa6(i,j)=aTEL3_alfa6(i,j);
        TEL4_alfa6(i,j)=aTEL4_alfa6(i,j);
        TEL5_alfa6(i,j)=aTEL5_alfa6(i,j);
        TEL6_alfa6(i,j)=aTEL6_alfa6(i,j);
        TEL7_alfa6(i,j)=aTEL7_alfa6(i,j);
        TEL8_alfa6(i,j)=aTEL8_alfa6(i,j);
        TEL9_alfa6(i,j)=aTEL9_alfa6(i,j);
        TEL10_alfa6(i,j)=aTEL10_alfa6(i,j);
        TEL11_alfa6(i,j)=aTEL11_alfa6(i,j);
        TEL12_alfa6(i,j)=aTEL12_alfa6(i,j);
        % Right wing effectors, Alpha = 6, Deltas of -15, -10, -5
        TER1_alfa6(i,j)=aTER1_alfa6(i,j);
        TER2_alfa6(i,j)=aTER2_alfa6(i,j);
        TER3_alfa6(i,j)=aTER3_alfa6(i,j);
        TER4_alfa6(i,j)=aTER4_alfa6(i,j);
        TER5_alfa6(i,j)=aTER5_alfa6(i,j);
        TER6_alfa6(i,j)=aTER6_alfa6(i,j);
        TER7_alfa6(i,j)=aTER7_alfa6(i,j);
        TER8_alfa6(i,j)=aTER8_alfa6(i,j);
        TER9_alfa6(i,j)=aTER9_alfa6(i,j);
        TER10_alfa6(i,j)=aTER10_alfa6(i,j);
        TER11_alfa6(i,j)=aTER11_alfa6(i,j);
        TER12_alfa6(i,j)=aTER12_alfa6(i,j);
        
        % Left wing effectors, Alpha = 8, Deltas of -15, -10, -5
        TEL1_alfa8(i,j)=aTEL1_alfa8(i,j);
        TEL2_alfa8(i,j)=aTEL2_alfa8(i,j);
        TEL3_alfa8(i,j)=aTEL3_alfa8(i,j);
        TEL4_alfa8(i,j)=aTEL4_alfa8(i,j);
        TEL5_alfa8(i,j)=aTEL5_alfa8(i,j);
        TEL6_alfa8(i,j)=aTEL6_alfa8(i,j);
        TEL7_alfa8(i,j)=aTEL7_alfa8(i,j);
        TEL8_alfa8(i,j)=aTEL8_alfa8(i,j);
        TEL9_alfa8(i,j)=aTEL9_alfa8(i,j);
        TEL10_alfa8(i,j)=aTEL10_alfa8(i,j);
        TEL11_alfa8(i,j)=aTEL11_alfa8(i,j);
        TEL12_alfa8(i,j)=aTEL12_alfa8(i,j);
        % Right wing effectors, Alpha = 8, Deltas of -15, -10, -5
        TER1_alfa8(i,j)=aTER1_alfa8(i,j);
        TER2_alfa8(i,j)=aTER2_alfa8(i,j);
        TER3_alfa8(i,j)=aTER3_alfa8(i,j);
        TER4_alfa8(i,j)=aTER4_alfa8(i,j);
        TER5_alfa8(i,j)=aTER5_alfa8(i,j);
        TER6_alfa8(i,j)=aTER6_alfa8(i,j);
        TER7_alfa8(i,j)=aTER7_alfa8(i,j);
        TER8_alfa8(i,j)=aTER8_alfa8(i,j);
        TER9_alfa8(i,j)=aTER9_alfa8(i,j);
        TER10_alfa8(i,j)=aTER10_alfa8(i,j);
        TER11_alfa8(i,j)=aTER11_alfa8(i,j);
        TER12_alfa8(i,j)=aTER12_alfa8(i,j);
    end
end

for i=4
    for j=1:6
        % Left wing effectors, Alpha = 4, Delta = 0
        TEL1_alfa4(i,j)=0;
        TEL2_alfa4(i,j)=0;
        TEL3_alfa4(i,j)=0;
        TEL4_alfa4(i,j)=0;
        TEL5_alfa4(i,j)=0;
        TEL6_alfa4(i,j)=0;
        TEL7_alfa4(i,j)=0;
        TEL8_alfa4(i,j)=0;
        TEL9_alfa4(i,j)=0;
        TEL10_alfa4(i,j)=0;
        TEL11_alfa4(i,j)=0;
        TEL12_alfa4(i,j)=0;
        % Right wing effectors, Alpha = 4, Delta = 0
        TER1_alfa4(i,j)=0;
        TER2_alfa4(i,j)=0;
        TER3_alfa4(i,j)=0;
        TER4_alfa4(i,j)=0;
        TER5_alfa4(i,j)=0;
        TER6_alfa4(i,j)=0;
        TER7_alfa4(i,j)=0;
        TER8_alfa4(i,j)=0;
        TER9_alfa4(i,j)=0;
        TER10_alfa4(i,j)=0;
        TER11_alfa4(i,j)=0;
        TER12_alfa4(i,j)=0;
        
        % Left wing effectors, Alpha = 6, Delta = 0
        TEL1_alfa6(i,j)=0;
        TEL2_alfa6(i,j)=0;
        TEL3_alfa6(i,j)=0;
        TEL4_alfa6(i,j)=0;
        TEL5_alfa6(i,j)=0;
        TEL6_alfa6(i,j)=0;
        TEL7_alfa6(i,j)=0;
        TEL8_alfa6(i,j)=0;
        TEL9_alfa6(i,j)=0;
        TEL10_alfa6(i,j)=0;
        TEL11_alfa6(i,j)=0;
        TEL12_alfa6(i,j)=0;
        % Right wing effectors, Alpha = 6, Delta = 0
        TER1_alfa6(i,j)=0;
        TER2_alfa6(i,j)=0;
        TER3_alfa6(i,j)=0;
        TER4_alfa6(i,j)=0;
        TER5_alfa6(i,j)=0;
        TER6_alfa6(i,j)=0;
        TER7_alfa6(i,j)=0;
        TER8_alfa6(i,j)=0;
        TER9_alfa6(i,j)=0;
        TER10_alfa6(i,j)=0;
        TER11_alfa6(i,j)=0;
        TER12_alfa6(i,j)=0;
        
        % Left wing effectors, Alpha = 8, Delta = 0
        TEL1_alfa8(i,j)=0;
        TEL2_alfa8(i,j)=0;
        TEL3_alfa8(i,j)=0;
        TEL4_alfa8(i,j)=0;
        TEL5_alfa8(i,j)=0;
        TEL6_alfa8(i,j)=0;
        TEL7_alfa8(i,j)=0;
        TEL8_alfa8(i,j)=0;
        TEL9_alfa8(i,j)=0;
        TEL10_alfa8(i,j)=0;
        TEL11_alfa8(i,j)=0;
        TEL12_alfa8(i,j)=0;
        % Right wing effectors, Alpha = 8, Delta = 0
        TER1_alfa8(i,j)=0;
        TER2_alfa8(i,j)=0;
        TER3_alfa8(i,j)=0;
        TER4_alfa8(i,j)=0;
        TER5_alfa8(i,j)=0;
        TER6_alfa8(i,j)=0;
        TER7_alfa8(i,j)=0;
        TER8_alfa8(i,j)=0;
        TER9_alfa8(i,j)=0;
        TER10_alfa8(i,j)=0;
        TER11_alfa8(i,j)=0;
        TER12_alfa8(i,j)=0;
    end
end

for i=4:6
    for j=1:6
        % Left wing effectors, Alpha = 4, Deltas of 5, 10, 15
        TEL1_alfa4(i+1,j)=aTEL1_alfa4(i,j);
        TEL2_alfa4(i+1,j)=aTEL2_alfa4(i,j);
        TEL3_alfa4(i+1,j)=aTEL3_alfa4(i,j);
        TEL4_alfa4(i+1,j)=aTEL4_alfa4(i,j);
        TEL5_alfa4(i+1,j)=aTEL5_alfa4(i,j);
        TEL6_alfa4(i+1,j)=aTEL6_alfa4(i,j);
        TEL7_alfa4(i+1,j)=aTEL7_alfa4(i,j);
        TEL8_alfa4(i+1,j)=aTEL8_alfa4(i,j);
        TEL9_alfa4(i+1,j)=aTEL9_alfa4(i,j);
        TEL10_alfa4(i+1,j)=aTEL10_alfa4(i,j);
        TEL11_alfa4(i+1,j)=aTEL11_alfa4(i,j);
        TEL12_alfa4(i+1,j)=aTEL12_alfa4(i,j);
        % Right wing effectors, Alpha = 4, Deltas of 5, 10, 15
        TER1_alfa4(i+1,j)=aTER1_alfa4(i,j);
        TER2_alfa4(i+1,j)=aTER2_alfa4(i,j);
        TER3_alfa4(i+1,j)=aTER3_alfa4(i,j);
        TER4_alfa4(i+1,j)=aTER4_alfa4(i,j);
        TER5_alfa4(i+1,j)=aTER5_alfa4(i,j);
        TER6_alfa4(i+1,j)=aTER6_alfa4(i,j);
        TER7_alfa4(i+1,j)=aTER7_alfa4(i,j);
        TER8_alfa4(i+1,j)=aTER8_alfa4(i,j);
        TER9_alfa4(i+1,j)=aTER9_alfa4(i,j);
        TER10_alfa4(i+1,j)=aTER10_alfa4(i,j);
        TER11_alfa4(i+1,j)=aTER11_alfa4(i,j);
        TER12_alfa4(i+1,j)=aTER12_alfa4(i,j);
        
        % Left wing effectors, Alpha = 6, Deltas of 5, 10, 15
        TEL1_alfa6(i+1,j)=aTEL1_alfa6(i,j);
        TEL2_alfa6(i+1,j)=aTEL2_alfa6(i,j);
        TEL3_alfa6(i+1,j)=aTEL3_alfa6(i,j);
        TEL4_alfa6(i+1,j)=aTEL4_alfa6(i,j);
        TEL5_alfa6(i+1,j)=aTEL5_alfa6(i,j);
        TEL6_alfa6(i+1,j)=aTEL6_alfa6(i,j);
        TEL7_alfa6(i+1,j)=aTEL7_alfa6(i,j);
        TEL8_alfa6(i+1,j)=aTEL8_alfa6(i,j);
        TEL9_alfa6(i+1,j)=aTEL9_alfa6(i,j);
        TEL10_alfa6(i+1,j)=aTEL10_alfa6(i,j);
        TEL11_alfa6(i+1,j)=aTEL11_alfa6(i,j);
        TEL12_alfa6(i+1,j)=aTEL12_alfa6(i,j);
        % Right wing effectors, Alpha = 6, Deltas of 5, 10, 15
        TER1_alfa6(i+1,j)=aTER1_alfa6(i,j);
        TER2_alfa6(i+1,j)=aTER2_alfa6(i,j);
        TER3_alfa6(i+1,j)=aTER3_alfa6(i,j);
        TER4_alfa6(i+1,j)=aTER4_alfa6(i,j);
        TER5_alfa6(i+1,j)=aTER5_alfa6(i,j);
        TER6_alfa6(i+1,j)=aTER6_alfa6(i,j);
        TER7_alfa6(i+1,j)=aTER7_alfa6(i,j);
        TER8_alfa6(i+1,j)=aTER8_alfa6(i,j);
        TER9_alfa6(i+1,j)=aTER9_alfa6(i,j);
        TER10_alfa6(i+1,j)=aTER10_alfa6(i,j);
        TER11_alfa6(i+1,j)=aTER11_alfa6(i,j);
        TER12_alfa6(i+1,j)=aTER12_alfa6(i,j);
        
        % Left wing effectors, Alpha = 8, Deltas of 5, 10, 15
        TEL1_alfa8(i+1,j)=aTEL1_alfa8(i,j);
        TEL2_alfa8(i+1,j)=aTEL2_alfa8(i,j);
        TEL3_alfa8(i+1,j)=aTEL3_alfa8(i,j);
        TEL4_alfa8(i+1,j)=aTEL4_alfa8(i,j);
        TEL5_alfa8(i+1,j)=aTEL5_alfa8(i,j);
        TEL6_alfa8(i+1,j)=aTEL6_alfa8(i,j);
        TEL7_alfa8(i+1,j)=aTEL7_alfa8(i,j);
        TEL8_alfa8(i+1,j)=aTEL8_alfa8(i,j);
        TEL9_alfa8(i+1,j)=aTEL9_alfa8(i,j);
        TEL10_alfa8(i+1,j)=aTEL10_alfa8(i,j);
        TEL11_alfa8(i+1,j)=aTEL11_alfa8(i,j);
        TEL12_alfa8(i+1,j)=aTEL12_alfa8(i,j);
        % Right wing effectors, Alpha = 8, Deltas of 5, 10, 15
        TER1_alfa8(i+1,j)=aTER1_alfa8(i,j);
        TER2_alfa8(i+1,j)=aTER2_alfa8(i,j);
        TER3_alfa8(i+1,j)=aTER3_alfa8(i,j);
        TER4_alfa8(i+1,j)=aTER4_alfa8(i,j);
        TER5_alfa8(i+1,j)=aTER5_alfa8(i,j);
        TER6_alfa8(i+1,j)=aTER6_alfa8(i,j);
        TER7_alfa8(i+1,j)=aTER7_alfa8(i,j);
        TER8_alfa8(i+1,j)=aTER8_alfa8(i,j);
        TER9_alfa8(i+1,j)=aTER9_alfa8(i,j);
        TER10_alfa8(i+1,j)=aTER10_alfa8(i,j);
        TER11_alfa8(i+1,j)=aTER11_alfa8(i,j);
        TER12_alfa8(i+1,j)=aTER12_alfa8(i,j);
    end
end

        
% Clear files loaded earlier (total coefficient files), i and j indices
clear bl l4 l6 l8 r4 r6 r8;
clear i j;
clear Baseline_Run125 TEL_alfa4_total TEL_alfa6_total TEL_alfa8_total;
clear TER_alfa4_total TER_alfa6_total TER_alfa8_total;

% Clear all temp-Effector-based matrices
clear aTER1_alfa4 aTER1_alfa6 aTER1_alfa8 aTEL1_alfa4 aTEL1_alfa6 aTEL1_alfa8;
clear aTER2_alfa4 aTER2_alfa6 aTER2_alfa8 aTEL2_alfa4 aTEL2_alfa6 aTEL2_alfa8;
clear aTER3_alfa4 aTER3_alfa6 aTER3_alfa8 aTEL3_alfa4 aTEL3_alfa6 aTEL3_alfa8;
clear aTER4_alfa4 aTER4_alfa6 aTER4_alfa8 aTEL4_alfa4 aTEL4_alfa6 aTEL4_alfa8;
clear aTER5_alfa4 aTER5_alfa6 aTER5_alfa8 aTEL5_alfa4 aTEL5_alfa6 aTEL5_alfa8;
clear aTER6_alfa4 aTER6_alfa6 aTER6_alfa8 aTEL6_alfa4 aTEL6_alfa6 aTEL6_alfa8;
clear aTER7_alfa4 aTER7_alfa6 aTER7_alfa8 aTEL7_alfa4 aTEL7_alfa6 aTEL7_alfa8;
clear aTER8_alfa4 aTER8_alfa6 aTER8_alfa8 aTEL8_alfa4 aTEL8_alfa6 aTEL8_alfa8;
clear aTER9_alfa4 aTER9_alfa6 aTER9_alfa8 aTEL9_alfa4 aTEL9_alfa6 aTEL9_alfa8;
clear aTER10_alfa4 aTER10_alfa6 aTER10_alfa8 aTEL10_alfa4 aTEL10_alfa6 aTEL10_alfa8;
clear aTER11_alfa4 aTER11_alfa6 aTER11_alfa8 aTEL11_alfa4 aTEL11_alfa6 aTEL11_alfa8;
clear aTER12_alfa4 aTER12_alfa6 aTER12_alfa8 aTEL12_alfa4 aTEL12_alfa6 aTEL12_alfa8;