% Perform Gauss Interpolation on drag data to make it work better

% Reload original datafiles and DO NOT subtract baseline run
load TEL_alfa4_total.dat;
load TEL_alfa6_total.dat;
load TEL_alfa8_total.dat;
load TER_alfa4_total.dat;
load TER_alfa6_total.dat;
load TER_alfa8_total.dat;


tempr4=TER_alfa4_total;
tempr6=TER_alfa6_total;
tempr8=TER_alfa8_total;
templ4=TEL_alfa4_total;
templ6=TEL_alfa6_total;
templ8=TEL_alfa8_total;

for i=1:6
    for j=1:6
        % Left wing effectors, Runs (268-270),247-255
        TEL1_alfa4(i,j)=templ4(i,j+5);
        TEL2_alfa4(i,j)=templ4(i+6,j+5);
        TEL3_alfa4(i,j)=templ4(i+12,j+5);
        TEL4_alfa4(i,j)=templ4(i+18,j+5);
        TEL5_alfa4(i,j)=templ4(i+24,j+5);
        TEL6_alfa4(i,j)=templ4(i+30,j+5);
        TEL7_alfa4(i,j)=templ4(i+36,j+5);
        TEL8_alfa4(i,j)=templ4(i+42,j+5);
        TEL9_alfa4(i,j)=templ4(i+48,j+5);
        TEL10_alfa4(i,j)=templ4(i+54,j+5);
        TEL11_alfa4(i,j)=templ4(i+60,j+5);
        TEL12_alfa4(i,j)=templ4(i+66,j+5);
        % Right wing effectors, Runs 231-242
        TER1_alfa4(i,j)=tempr4(i,j+5);
        TER2_alfa4(i,j)=tempr4(i+6,j+5);
        TER3_alfa4(i,j)=tempr4(i+12,j+5);
        TER4_alfa4(i,j)=tempr4(i+18,j+5);
        TER5_alfa4(i,j)=tempr4(i+24,j+5);
        TER6_alfa4(i,j)=tempr4(i+30,j+5);
        TER7_alfa4(i,j)=tempr4(i+36,j+5);
        TER8_alfa4(i,j)=tempr4(i+42,j+5);
        TER9_alfa4(i,j)=tempr4(i+48,j+5);
        TER10_alfa4(i,j)=tempr4(i+54,j+5);
        TER11_alfa4(i,j)=tempr4(i+60,j+5);
        TER12_alfa4(i,j)=tempr4(i+66,j+5);
        
        % Left wing effectors, Runs 303-314
        TEL1_alfa6(i,j)=templ6(i,j+5);
        TEL2_alfa6(i,j)=templ6(i+6,j+5);
        TEL3_alfa6(i,j)=templ6(i+12,j+5);
        TEL4_alfa6(i,j)=templ6(i+18,j+5);
        TEL5_alfa6(i,j)=templ6(i+24,j+5);
        TEL6_alfa6(i,j)=templ6(i+30,j+5);
        TEL7_alfa6(i,j)=templ6(i+36,j+5);
        TEL8_alfa6(i,j)=templ6(i+42,j+5);
        TEL9_alfa6(i,j)=templ6(i+48,j+5);
        TEL10_alfa6(i,j)=templ6(i+54,j+5);
        TEL11_alfa6(i,j)=templ6(i+60,j+5);
        TEL12_alfa6(i,j)=templ6(i+66,j+5);
        % Right wing effectors, Runs 291-302
        TER1_alfa6(i,j)=tempr6(i,j+5);
        TER2_alfa6(i,j)=tempr6(i+6,j+5);
        TER3_alfa6(i,j)=tempr6(i+12,j+5);
        TER4_alfa6(i,j)=tempr6(i+18,j+5);
        TER5_alfa6(i,j)=tempr6(i+24,j+5);
        TER6_alfa6(i,j)=tempr6(i+30,j+5);
        TER7_alfa6(i,j)=tempr6(i+36,j+5);
        TER8_alfa6(i,j)=tempr6(i+42,j+5);
        TER9_alfa6(i,j)=tempr6(i+48,j+5);
        TER10_alfa6(i,j)=tempr6(i+54,j+5);
        TER11_alfa6(i,j)=tempr6(i+60,j+5);
        TER12_alfa6(i,j)=tempr6(i+66,j+5);
        
        % Left wing effectors, Runs 271-282
        TEL1_alfa8(i,j)=templ8(i,j+5);
        TEL2_alfa8(i,j)=templ8(i+6,j+5);
        TEL3_alfa8(i,j)=templ8(i+12,j+5);
        TEL4_alfa8(i,j)=templ8(i+18,j+5);
        TEL5_alfa8(i,j)=templ8(i+24,j+5);
        TEL6_alfa8(i,j)=templ8(i+30,j+5);
        TEL7_alfa8(i,j)=templ8(i+36,j+5);
        TEL8_alfa8(i,j)=templ8(i+42,j+5);
        TEL9_alfa8(i,j)=templ8(i+48,j+5);
        TEL10_alfa8(i,j)=templ8(i+54,j+5);
        TEL11_alfa8(i,j)=templ8(i+60,j+5);
        TEL12_alfa8(i,j)=templ8(i+66,j+5);
        % Right wing effectors, Runs 256-267
        TER1_alfa8(i,j)=tempr8(i,j+5);
        TER2_alfa8(i,j)=tempr8(i+6,j+5);
        TER3_alfa8(i,j)=tempr8(i+12,j+5);
        TER4_alfa8(i,j)=tempr8(i+18,j+5);
        TER5_alfa8(i,j)=tempr8(i+24,j+5);
        TER6_alfa8(i,j)=tempr8(i+30,j+5);
        TER7_alfa8(i,j)=tempr8(i+36,j+5);
        TER8_alfa8(i,j)=tempr8(i+42,j+5);
        TER9_alfa8(i,j)=tempr8(i+48,j+5);
        TER10_alfa8(i,j)=tempr8(i+54,j+5);
        TER11_alfa8(i,j)=tempr8(i+60,j+5);
        TER12_alfa8(i,j)=tempr8(i+66,j+5);
    end
end


TER_CD_alfa4 = [TER1_alfa4(:,2) TER2_alfa4(:,2) TER3_alfa4(:,2) TER4_alfa4(:,2) TER5_alfa4(:,2) TER6_alfa4(:,2) TER7_alfa4(:,2) TER8_alfa4(:,2) TER9_alfa4(:,2) TER10_alfa4(:,2) TER11_alfa4(:,2) TER12_alfa4(:,2)];
TER_CD_alfa6 = [TER1_alfa6(:,2) TER2_alfa6(:,2) TER3_alfa6(:,2) TER4_alfa6(:,2) TER5_alfa6(:,2) TER6_alfa6(:,2) TER7_alfa6(:,2) TER8_alfa6(:,2) TER9_alfa6(:,2) TER10_alfa6(:,2) TER11_alfa6(:,2) TER12_alfa6(:,2)];
TER_CD_alfa8 = [TER1_alfa8(:,2) TER2_alfa8(:,2) TER3_alfa8(:,2) TER4_alfa8(:,2) TER5_alfa8(:,2) TER6_alfa8(:,2) TER7_alfa8(:,2) TER8_alfa8(:,2) TER9_alfa8(:,2) TER10_alfa8(:,2) TER11_alfa8(:,2) TER12_alfa8(:,2)];
TEL_CD_alfa4 = [TEL1_alfa4(:,2) TEL2_alfa4(:,2) TEL3_alfa4(:,2) TEL4_alfa4(:,2) TEL5_alfa4(:,2) TEL6_alfa4(:,2) TEL7_alfa4(:,2) TEL8_alfa4(:,2) TEL9_alfa4(:,2) TEL10_alfa4(:,2) TEL11_alfa4(:,2) TEL12_alfa4(:,2)];
TEL_CD_alfa6 = [TEL1_alfa6(:,2) TEL2_alfa6(:,2) TEL3_alfa6(:,2) TEL4_alfa6(:,2) TEL5_alfa6(:,2) TEL6_alfa6(:,2) TEL7_alfa6(:,2) TEL8_alfa6(:,2) TEL9_alfa6(:,2) TEL10_alfa6(:,2) TEL11_alfa6(:,2) TEL12_alfa6(:,2)];
TEL_CD_alfa8 = [TEL1_alfa8(:,2) TEL2_alfa8(:,2) TEL3_alfa8(:,2) TEL4_alfa8(:,2) TEL5_alfa8(:,2) TEL6_alfa8(:,2) TEL7_alfa8(:,2) TEL8_alfa8(:,2) TEL9_alfa8(:,2) TEL10_alfa8(:,2) TEL11_alfa8(:,2) TEL12_alfa8(:,2)];







% IF alfa<4, THEN alfa1=4 and alfa2=6
% IF 4<alfa<6, THEN alfa1=4 and alfa2=6
% IF 6<alfa<8, THEN alfa1=6 and alfa2=8
% IF alfa>8, THEN alfa1=6 and alfa2=8
if alfa<=6
    alfa1=4;
    alfa2=6;
else%if alfa>6
    alfa1=6;
    alfa2=8;
end

r4=TER_CD_alfa4;
r6=TER_CD_alfa6;
r8=TER_CD_alfa8;

l4=TEL_CD_alfa4;
l6=TEL_CD_alfa6;
l8=TEL_CD_alfa8;


% FOR EACH EFFECTOR:
% IF -15<deltaf<-10, THEN deltaf1=-15 and deltaf2=-10
% IF -10<deltaf<-5, THEN deltaf1=-10 and deltaf2=-5
% IF -5<deltaf<5, THEN deltaf1=-5 and deltaf2=5
% IF 5<deltaf<10, THEN deltaf1=5 and deltaf2=10
% IF 10<deltaf<15, THEN deltaf1=10 and deltaf2=15

for j=1:12
    
    %right wing first:
    if dfr(j)<=-10
        deltaf1=-15;
        deltaf2=-10;
    elseif -10<dfr(j)<=-5
        deltaf1=-10;
        deltaf2=-5;
    elseif -5<dfr(j)<=5
        deltaf1=-5;
        deltaf2=5;
    elseif 5<dfr(j)<=10
        deltaf1=5;
        deltaf2=10;
    else
        deltaf1=10;
        deltaf2=15;
    end
    %find CD values corresponding to deltaf1, deltaf2, alfa1, and alfa2
    if alfa1==4
        if deltaf1==-15
            CD11=r6(2,j);
            CD12=r4(2,j);
            CD21=r6(1,j);
            CD22=r4(1,j);
        elseif deltaf1==-10
            CD11=r6(3,j);
            CD12=r4(3,j);
            CD21=r6(2,j);
            CD22=r4(2,j);
        elseif deltaf1==-5
            CD11=r6(4,j);
            CD12=r4(4,j);
            CD21=r6(3,j);
            CD22=r4(3,j);
        elseif deltaf1==5
            CD11=r6(5,j);
            CD12=r4(5,j);
            CD21=r6(4,j);
            CD22=r4(4,j);
        else%if deltaf1==10
            CD11=r6(6,j);
            CD12=r4(6,j);
            CD21=r6(5,j);
            CD22=r4(5,j);
        end
    else%if alfa1=6
        if deltaf1==-15
            CD11=r8(2,j);
            CD12=r6(2,j);
            CD21=r8(1,j);
            CD22=r6(1,j);
        elseif deltaf1==-10
            CD11=r8(3,j);
            CD12=r6(3,j);
            CD21=r8(2,j);
            CD22=r6(2,j);
        elseif deltaf1==-5
            CD11=r8(4,j);
            CD12=r6(4,j);
            CD21=r8(3,j);
            CD22=r6(3,j);
        elseif deltaf1==5
            CD11=r8(5,j);
            CD12=r6(5,j);
            CD21=r8(4,j);
            CD22=r6(4,j);
        else%if deltaf1==10
            CD11=r8(6,j);
            CD12=r6(6,j);
            CD21=r8(5,j);
            CD22=r6(5,j);
        end
    end

    %perform Gauss Interpolation
    term1=(dfr(j)-deltaf1)*(alfa-alfa1)*CD22;
    term2=(dfr(j)-deltaf1)*(alfa2-alfa)*CD21;
    term3=(deltaf2-dfr(j))*(alfa-alfa1)*CD12;
    term4=(deltaf2-dfr(j))*(alfa2-alfa)*CD11;
    term5=(deltaf2-deltaf1)*(alfa2-alfa1);
    CDr(j)=(term1 + term2 + term3 + term4)/term5;
    
    
    
    %%%%%%%%%%%%%%%
    %now left wing:
    if dfl(j)<=-10
        deltaf1=-15;
        deltaf2=-10;
    elseif -10<dfl(j)<=-5
        deltaf1=-10;
        deltaf2=-5;
    elseif -5<dfl(j)<=5
        deltaf1=-5;
        deltaf2=5;
    elseif 5<dfl(j)<=10
        deltaf1=5;
        deltaf2=10;
    else
        deltaf1=10;
        deltaf2=15;
    end
    %find CD values corresponding to deltaf1, deltaf2, alfa1, and alfa2
    if alfa1==4
        if deltaf1==-15
            CD11=l6(2,j);
            CD12=l4(2,j);
            CD21=l6(1,j);
            CD22=l4(1,j);
        elseif deltaf1==-10
            CD11=l6(3,j);
            CD12=l4(3,j);
            CD21=l6(2,j);
            CD22=l4(2,j);
        elseif deltaf1==-5
            CD11=l6(4,j);
            CD12=l4(4,j);
            CD21=l6(3,j);
            CD22=l4(3,j);
        elseif deltaf1==5
            CD11=l6(5,j);
            CD12=l4(5,j);
            CD21=l6(4,j);
            CD22=l4(4,j);
        else%if deltaf1==10
            CD11=l6(6,j);
            CD12=l4(6,j);
            CD21=l6(5,j);
            CD22=l4(5,j);
        end
    else%if alfa1=6
        if deltaf1==-15
            CD11=l8(2,j);
            CD12=l6(2,j);
            CD21=l8(1,j);
            CD22=l6(1,j);
        elseif deltaf1==-10
            CD11=l8(3,j);
            CD12=l6(3,j);
            CD21=l8(2,j);
            CD22=l6(2,j);
        elseif deltaf1==-5
            CD11=l8(4,j);
            CD12=l6(4,j);
            CD21=l8(3,j);
            CD22=l6(3,j);
        elseif deltaf1==5
            CD11=l8(5,j);
            CD12=l6(5,j);
            CD21=l8(4,j);
            CD22=l6(4,j);
        else%if deltaf1==10
            CD11=l8(6,j);
            CD12=l6(6,j);
            CD21=l8(5,j);
            CD22=l6(5,j);
        end
    end
    %perform Gauss Interpolation
    term1=(dfl(j)-deltaf1)*(alfa-alfa1)*CD22;
    term2=(dfl(j)-deltaf1)*(alfa2-alfa)*CD21;
    term3=(deltaf2-dfl(j))*(alfa-alfa1)*CD12;
    term4=(deltaf2-dfl(j))*(alfa2-alfa)*CD11;
    term5=(deltaf2-deltaf1)*(alfa2-alfa1);
    CDl(j)=(term1 + term2 + term3 + term4)/term5;
end

CDgauss(k)=sum(CDr)+sum(CDl);