% "rearrange.m" changes matrices from Effector-based to Coefficient-based
% Outputs are Cx values in variable:
%    TE[R.L]_C[x]_alfa[4,6,8] in format:
%      df=-15 [ CL(eff1)  CL(eff2) .. CL(eff12) ]
%      df=-10 | CL(eff1)  CL(eff2) .. CL(eff12) |
%      df=-5  | CL(eff1)  CL(eff2) .. CL(eff12) |
%      df=5   | CL(eff1)  CL(eff2) .. CL(eff12) |
%      df=10  | CL(eff1)  CL(eff2) .. CL(eff12) |
%      df=15  [ CL(eff1)  CL(eff2) .. CL(eff12) ]

TER_CL_alfa4 = [TER1_alfa4(:,1) TER2_alfa4(:,1) TER3_alfa4(:,1) TER4_alfa4(:,1) TER5_alfa4(:,1) TER6_alfa4(:,1) TER7_alfa4(:,1) TER8_alfa4(:,1) TER9_alfa4(:,1) TER10_alfa4(:,1) TER11_alfa4(:,1) TER12_alfa4(:,1)];
TER_CL_alfa6 = [TER1_alfa6(:,1) TER2_alfa6(:,1) TER3_alfa6(:,1) TER4_alfa6(:,1) TER5_alfa6(:,1) TER6_alfa6(:,1) TER7_alfa6(:,1) TER8_alfa6(:,1) TER9_alfa6(:,1) TER10_alfa6(:,1) TER11_alfa6(:,1) TER12_alfa6(:,1)];
TER_CL_alfa8 = [TER1_alfa8(:,1) TER2_alfa8(:,1) TER3_alfa8(:,1) TER4_alfa8(:,1) TER5_alfa8(:,1) TER6_alfa8(:,1) TER7_alfa8(:,1) TER8_alfa8(:,1) TER9_alfa8(:,1) TER10_alfa8(:,1) TER11_alfa8(:,1) TER12_alfa8(:,1)];
TEL_CL_alfa4 = [TEL1_alfa4(:,1) TEL2_alfa4(:,1) TEL3_alfa4(:,1) TEL4_alfa4(:,1) TEL5_alfa4(:,1) TEL6_alfa4(:,1) TEL7_alfa4(:,1) TEL8_alfa4(:,1) TEL9_alfa4(:,1) TEL10_alfa4(:,1) TEL11_alfa4(:,1) TEL12_alfa4(:,1)];
TEL_CL_alfa6 = [TEL1_alfa6(:,1) TEL2_alfa6(:,1) TEL3_alfa6(:,1) TEL4_alfa6(:,1) TEL5_alfa6(:,1) TEL6_alfa6(:,1) TEL7_alfa6(:,1) TEL8_alfa6(:,1) TEL9_alfa6(:,1) TEL10_alfa6(:,1) TEL11_alfa6(:,1) TEL12_alfa6(:,1)];
TEL_CL_alfa8 = [TEL1_alfa8(:,1) TEL2_alfa8(:,1) TEL3_alfa8(:,1) TEL4_alfa8(:,1) TEL5_alfa8(:,1) TEL6_alfa8(:,1) TEL7_alfa8(:,1) TEL8_alfa8(:,1) TEL9_alfa8(:,1) TEL10_alfa8(:,1) TEL11_alfa8(:,1) TEL12_alfa8(:,1)];

TER_CD_alfa4 = [TER1_alfa4(:,2) TER2_alfa4(:,2) TER3_alfa4(:,2) TER4_alfa4(:,2) TER5_alfa4(:,2) TER6_alfa4(:,2) TER7_alfa4(:,2) TER8_alfa4(:,2) TER9_alfa4(:,2) TER10_alfa4(:,2) TER11_alfa4(:,2) TER12_alfa4(:,2)];
TER_CD_alfa6 = [TER1_alfa6(:,2) TER2_alfa6(:,2) TER3_alfa6(:,2) TER4_alfa6(:,2) TER5_alfa6(:,2) TER6_alfa6(:,2) TER7_alfa6(:,2) TER8_alfa6(:,2) TER9_alfa6(:,2) TER10_alfa6(:,2) TER11_alfa6(:,2) TER12_alfa6(:,2)];
TER_CD_alfa8 = [TER1_alfa8(:,2) TER2_alfa8(:,2) TER3_alfa8(:,2) TER4_alfa8(:,2) TER5_alfa8(:,2) TER6_alfa8(:,2) TER7_alfa8(:,2) TER8_alfa8(:,2) TER9_alfa8(:,2) TER10_alfa8(:,2) TER11_alfa8(:,2) TER12_alfa8(:,2)];
TEL_CD_alfa4 = [TEL1_alfa4(:,2) TEL2_alfa4(:,2) TEL3_alfa4(:,2) TEL4_alfa4(:,2) TEL5_alfa4(:,2) TEL6_alfa4(:,2) TEL7_alfa4(:,2) TEL8_alfa4(:,2) TEL9_alfa4(:,2) TEL10_alfa4(:,2) TEL11_alfa4(:,2) TEL12_alfa4(:,2)];
TEL_CD_alfa6 = [TEL1_alfa6(:,2) TEL2_alfa6(:,2) TEL3_alfa6(:,2) TEL4_alfa6(:,2) TEL5_alfa6(:,2) TEL6_alfa6(:,2) TEL7_alfa6(:,2) TEL8_alfa6(:,2) TEL9_alfa6(:,2) TEL10_alfa6(:,2) TEL11_alfa6(:,2) TEL12_alfa6(:,2)];
TEL_CD_alfa8 = [TEL1_alfa8(:,2) TEL2_alfa8(:,2) TEL3_alfa8(:,2) TEL4_alfa8(:,2) TEL5_alfa8(:,2) TEL6_alfa8(:,2) TEL7_alfa8(:,2) TEL8_alfa8(:,2) TEL9_alfa8(:,2) TEL10_alfa8(:,2) TEL11_alfa8(:,2) TEL12_alfa8(:,2)];

TER_Cm_alfa4 = [TER1_alfa4(:,3) TER2_alfa4(:,3) TER3_alfa4(:,3) TER4_alfa4(:,3) TER5_alfa4(:,3) TER6_alfa4(:,3) TER7_alfa4(:,3) TER8_alfa4(:,3) TER9_alfa4(:,3) TER10_alfa4(:,3) TER11_alfa4(:,3) TER12_alfa4(:,3)];
TER_Cm_alfa6 = [TER1_alfa6(:,3) TER2_alfa6(:,3) TER3_alfa6(:,3) TER4_alfa6(:,3) TER5_alfa6(:,3) TER6_alfa6(:,3) TER7_alfa6(:,3) TER8_alfa6(:,3) TER9_alfa6(:,3) TER10_alfa6(:,3) TER11_alfa6(:,3) TER12_alfa6(:,3)];
TER_Cm_alfa8 = [TER1_alfa8(:,3) TER2_alfa8(:,3) TER3_alfa8(:,3) TER4_alfa8(:,3) TER5_alfa8(:,3) TER6_alfa8(:,3) TER7_alfa8(:,3) TER8_alfa8(:,3) TER9_alfa8(:,3) TER10_alfa8(:,3) TER11_alfa8(:,3) TER12_alfa8(:,3)];
TEL_Cm_alfa4 = [TEL1_alfa4(:,3) TEL2_alfa4(:,3) TEL3_alfa4(:,3) TEL4_alfa4(:,3) TEL5_alfa4(:,3) TEL6_alfa4(:,3) TEL7_alfa4(:,3) TEL8_alfa4(:,3) TEL9_alfa4(:,3) TEL10_alfa4(:,3) TEL11_alfa4(:,3) TEL12_alfa4(:,3)];
TEL_Cm_alfa6 = [TEL1_alfa6(:,3) TEL2_alfa6(:,3) TEL3_alfa6(:,3) TEL4_alfa6(:,3) TEL5_alfa6(:,3) TEL6_alfa6(:,3) TEL7_alfa6(:,3) TEL8_alfa6(:,3) TEL9_alfa6(:,3) TEL10_alfa6(:,3) TEL11_alfa6(:,3) TEL12_alfa6(:,3)];
TEL_Cm_alfa8 = [TEL1_alfa8(:,3) TEL2_alfa8(:,3) TEL3_alfa8(:,3) TEL4_alfa8(:,3) TEL5_alfa8(:,3) TEL6_alfa8(:,3) TEL7_alfa8(:,3) TEL8_alfa8(:,3) TEL9_alfa8(:,3) TEL10_alfa8(:,3) TEL11_alfa8(:,3) TEL12_alfa8(:,3)];

TER_Cr_alfa4 = [TER1_alfa4(:,4) TER2_alfa4(:,4) TER3_alfa4(:,4) TER4_alfa4(:,4) TER5_alfa4(:,4) TER6_alfa4(:,4) TER7_alfa4(:,4) TER8_alfa4(:,4) TER9_alfa4(:,4) TER10_alfa4(:,4) TER11_alfa4(:,4) TER12_alfa4(:,4)];
TER_Cr_alfa6 = [TER1_alfa6(:,4) TER2_alfa6(:,4) TER3_alfa6(:,4) TER4_alfa6(:,4) TER5_alfa6(:,4) TER6_alfa6(:,4) TER7_alfa6(:,4) TER8_alfa6(:,4) TER9_alfa6(:,4) TER10_alfa6(:,4) TER11_alfa6(:,4) TER12_alfa6(:,4)];
TER_Cr_alfa8 = [TER1_alfa8(:,4) TER2_alfa8(:,4) TER3_alfa8(:,4) TER4_alfa8(:,4) TER5_alfa8(:,4) TER6_alfa8(:,4) TER7_alfa8(:,4) TER8_alfa8(:,4) TER9_alfa8(:,4) TER10_alfa8(:,4) TER11_alfa8(:,4) TER12_alfa8(:,4)];
TEL_Cr_alfa4 = [TEL1_alfa4(:,4) TEL2_alfa4(:,4) TEL3_alfa4(:,4) TEL4_alfa4(:,4) TEL5_alfa4(:,4) TEL6_alfa4(:,4) TEL7_alfa4(:,4) TEL8_alfa4(:,4) TEL9_alfa4(:,4) TEL10_alfa4(:,4) TEL11_alfa4(:,4) TEL12_alfa4(:,4)];
TEL_Cr_alfa6 = [TEL1_alfa6(:,4) TEL2_alfa6(:,4) TEL3_alfa6(:,4) TEL4_alfa6(:,4) TEL5_alfa6(:,4) TEL6_alfa6(:,4) TEL7_alfa6(:,4) TEL8_alfa6(:,4) TEL9_alfa6(:,4) TEL10_alfa6(:,4) TEL11_alfa6(:,4) TEL12_alfa6(:,4)];
TEL_Cr_alfa8 = [TEL1_alfa8(:,4) TEL2_alfa8(:,4) TEL3_alfa8(:,4) TEL4_alfa8(:,4) TEL5_alfa8(:,4) TEL6_alfa8(:,4) TEL7_alfa8(:,4) TEL8_alfa8(:,4) TEL9_alfa8(:,4) TEL10_alfa8(:,4) TEL11_alfa8(:,4) TEL12_alfa8(:,4)];

TER_Cn_alfa4 = [TER1_alfa4(:,5) TER2_alfa4(:,5) TER3_alfa4(:,5) TER4_alfa4(:,5) TER5_alfa4(:,5) TER6_alfa4(:,5) TER7_alfa4(:,5) TER8_alfa4(:,5) TER9_alfa4(:,5) TER10_alfa4(:,5) TER11_alfa4(:,5) TER12_alfa4(:,5)];
TER_Cn_alfa6 = [TER1_alfa6(:,5) TER2_alfa6(:,5) TER3_alfa6(:,5) TER4_alfa6(:,5) TER5_alfa6(:,5) TER6_alfa6(:,5) TER7_alfa6(:,5) TER8_alfa6(:,5) TER9_alfa6(:,5) TER10_alfa6(:,5) TER11_alfa6(:,5) TER12_alfa6(:,5)];
TER_Cn_alfa8 = [TER1_alfa8(:,5) TER2_alfa8(:,5) TER3_alfa8(:,5) TER4_alfa8(:,5) TER5_alfa8(:,5) TER6_alfa8(:,5) TER7_alfa8(:,5) TER8_alfa8(:,5) TER9_alfa8(:,5) TER10_alfa8(:,5) TER11_alfa8(:,5) TER12_alfa8(:,5)];
TEL_Cn_alfa4 = [TEL1_alfa4(:,5) TEL2_alfa4(:,5) TEL3_alfa4(:,5) TEL4_alfa4(:,5) TEL5_alfa4(:,5) TEL6_alfa4(:,5) TEL7_alfa4(:,5) TEL8_alfa4(:,5) TEL9_alfa4(:,5) TEL10_alfa4(:,5) TEL11_alfa4(:,5) TEL12_alfa4(:,5)];
TEL_Cn_alfa6 = [TEL1_alfa6(:,5) TEL2_alfa6(:,5) TEL3_alfa6(:,5) TEL4_alfa6(:,5) TEL5_alfa6(:,5) TEL6_alfa6(:,5) TEL7_alfa6(:,5) TEL8_alfa6(:,5) TEL9_alfa6(:,5) TEL10_alfa6(:,5) TEL11_alfa6(:,5) TEL12_alfa6(:,5)];
TEL_Cn_alfa8 = [TEL1_alfa8(:,5) TEL2_alfa8(:,5) TEL3_alfa8(:,5) TEL4_alfa8(:,5) TEL5_alfa8(:,5) TEL6_alfa8(:,5) TEL7_alfa8(:,5) TEL8_alfa8(:,5) TEL9_alfa8(:,5) TEL10_alfa8(:,5) TEL11_alfa8(:,5) TEL12_alfa8(:,5)];

TER_CY_alfa4 = [TER1_alfa4(:,6) TER2_alfa4(:,6) TER3_alfa4(:,6) TER4_alfa4(:,6) TER5_alfa4(:,6) TER6_alfa4(:,6) TER7_alfa4(:,6) TER8_alfa4(:,6) TER9_alfa4(:,6) TER10_alfa4(:,6) TER11_alfa4(:,6) TER12_alfa4(:,6)];
TER_CY_alfa6 = [TER1_alfa6(:,6) TER2_alfa6(:,6) TER3_alfa6(:,6) TER4_alfa6(:,6) TER5_alfa6(:,6) TER6_alfa6(:,6) TER7_alfa6(:,6) TER8_alfa6(:,6) TER9_alfa6(:,6) TER10_alfa6(:,6) TER11_alfa6(:,6) TER12_alfa6(:,6)];
TER_CY_alfa8 = [TER1_alfa8(:,6) TER2_alfa8(:,6) TER3_alfa8(:,6) TER4_alfa8(:,6) TER5_alfa8(:,6) TER6_alfa8(:,6) TER7_alfa8(:,6) TER8_alfa8(:,6) TER9_alfa8(:,6) TER10_alfa8(:,6) TER11_alfa8(:,6) TER12_alfa8(:,6)];
TEL_CY_alfa4 = [TEL1_alfa4(:,6) TEL2_alfa4(:,6) TEL3_alfa4(:,6) TEL4_alfa4(:,6) TEL5_alfa4(:,6) TEL6_alfa4(:,6) TEL7_alfa4(:,6) TEL8_alfa4(:,6) TEL9_alfa4(:,6) TEL10_alfa4(:,6) TEL11_alfa4(:,6) TEL12_alfa4(:,6)];
TEL_CY_alfa6 = [TEL1_alfa6(:,6) TEL2_alfa6(:,6) TEL3_alfa6(:,6) TEL4_alfa6(:,6) TEL5_alfa6(:,6) TEL6_alfa6(:,6) TEL7_alfa6(:,6) TEL8_alfa6(:,6) TEL9_alfa6(:,6) TEL10_alfa6(:,6) TEL11_alfa6(:,6) TEL12_alfa6(:,6)];
TEL_CY_alfa8 = [TEL1_alfa8(:,6) TEL2_alfa8(:,6) TEL3_alfa8(:,6) TEL4_alfa8(:,6) TEL5_alfa8(:,6) TEL6_alfa8(:,6) TEL7_alfa8(:,6) TEL8_alfa8(:,6) TEL9_alfa8(:,6) TEL10_alfa8(:,6) TEL11_alfa8(:,6) TEL12_alfa8(:,6)];


% Clear all Effector-based matrices
clear TER1_alfa4 TER1_alfa6 TER1_alfa8 TEL1_alfa4 TEL1_alfa6 TEL1_alfa8;
clear TER2_alfa4 TER2_alfa6 TER2_alfa8 TEL2_alfa4 TEL2_alfa6 TEL2_alfa8;
clear TER3_alfa4 TER3_alfa6 TER3_alfa8 TEL3_alfa4 TEL3_alfa6 TEL3_alfa8;
clear TER4_alfa4 TER4_alfa6 TER4_alfa8 TEL4_alfa4 TEL4_alfa6 TEL4_alfa8;
clear TER5_alfa4 TER5_alfa6 TER5_alfa8 TEL5_alfa4 TEL5_alfa6 TEL5_alfa8;
clear TER6_alfa4 TER6_alfa6 TER6_alfa8 TEL6_alfa4 TEL6_alfa6 TEL6_alfa8;
clear TER7_alfa4 TER7_alfa6 TER7_alfa8 TEL7_alfa4 TEL7_alfa6 TEL7_alfa8;
clear TER8_alfa4 TER8_alfa6 TER8_alfa8 TEL8_alfa4 TEL8_alfa6 TEL8_alfa8;
clear TER9_alfa4 TER9_alfa6 TER9_alfa8 TEL9_alfa4 TEL9_alfa6 TEL9_alfa8;
clear TER10_alfa4 TER10_alfa6 TER10_alfa8 TEL10_alfa4 TEL10_alfa6 TEL10_alfa8;
clear TER11_alfa4 TER11_alfa6 TER11_alfa8 TEL11_alfa4 TEL11_alfa6 TEL11_alfa8;
clear TER12_alfa4 TER12_alfa6 TER12_alfa8 TEL12_alfa4 TEL12_alfa6 TEL12_alfa8;